<div style="margin-bottom: 15px;">
    <div class="container">
        <div class="row">
            <h5>
                <span>Indent</span>
            </h5>
            <p-dataTable
                [value]="ruleIndents"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]" 
                [totalRecords]="totalItems" 
                [responsive]="true" 
                [lazy]="true"
                [(first)]="first"
                row="itemsPerPage"
                totalRecords="totalItems"
                rowHover="true"
                dataKey="idRule" 
                (onLazyLoad)="loadDataLazy($event)" 
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <ul class="nav justify-content-end">
                        <li class="nav-item">
                            <a class="btn" [routerLink]="['/', { outlets: { popup: 'rule-indent-popup-new-list' + '/' + idProduct } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                        </li>
                    </ul>
                </p-header>
                <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.ruleIndent.dateFrom'|translate}}" [editable]="false">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateFrom | date: 'dd-MM-yyyy HH:mm'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.ruleIndent.dateThru'|translate}}" [editable]="false">
                        <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dateThru | date: 'dd-MM-yyyy HH:mm'}}
                        </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.ruleIndent.minPayment'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.minPayment | currency : 'IDR'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="button"
                            [routerLink]="['/', { outlets: { popup: 'rule-indent/'+ rowData.idRule + '/popup-edit'} }]"
                            replaceUrl="true"
                            icon="fa-pencil"
                            class="flat-button">
                        </button>
                        <button pButton type="button"
                            (click)="delete(rowData.idRule)"
                            icon="fa-remove"
                            class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
            </p-dataTable>
        </div>
    </div>
</div>
